jQuery(document).ready(function($) {

	if(jQuery('#fecha_desde').length)
		jQuery('#fecha_desde').datepicker({dateFormat : 'dd/mm/yy'});
	if(jQuery('#fecha_hasta').length)
		jQuery('#fecha_hasta').datepicker({dateFormat : 'dd/mm/yy'});
	
	jQuery("#list_projects").click(function(){
		
		var data = {
			action: 'list_projects',
			fecha_desde: jQuery("#fecha_desde").val(),
			fecha_hasta: jQuery("#fecha_hasta").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="KO"){
			     mensaje= ajax_object.no_projects;
				 bgcolor = ajax_object.error_color;
				 jQuery("#list_projects").blur();
				 jQuery("#server_message").html(mensaje);
				 jQuery("#server_message").css("display","block");
				 jQuery("#server_message").css("background-color",bgcolor);
				 }
			else {
				 jQuery("#formulario_graficos").html(response);				 
				 
					 function load_projects(action_name)
					 {
							proyectos = '';
							jQuery(".marcador_proyecto:checked" ).each(function(index){
								proyectos += ','+jQuery( this ).val();
							 });
							if(proyectos){
								proyectos = proyectos.substr(1);
								var data = { action: action_name, projects: proyectos	};		
								jQuery.post(ajax_object.ajax_url, data, function(response) {
									jQuery("#formulario_graficos").html(response);
									eval(jQuery("#formulario_graficos script").html());
									run_graphics();
								});
							}
							else alert(ajax_object.please_select_projects);
					 }
					
					 jQuery("#show_graph_1").click(function(){ load_projects('graph_1') });
					 
					 jQuery("#show_graph_2").click(function(){ load_projects('graph_2') });
					 
					 jQuery("#show_graph_3").click(function(){ load_projects('graph_3') });
				 
				}
		});
		
	});
	
	/* */
	if(jQuery('#fecha_modulo_desde').length)
		jQuery('#fecha_modulo_desde').datepicker({dateFormat : 'dd/mm/yy'});
	if(jQuery('#fecha_modulo_hasta').length)
		jQuery('#fecha_modulo_hasta').datepicker({dateFormat : 'dd/mm/yy'});
	
	jQuery("#filter_modules").click(function(){
		var data = {
			action: 'filter_modules',
			fecha_modulo_desde: jQuery("#fecha_modulo_desde").val(),
			fecha_modulo_hasta: jQuery("#fecha_modulo_hasta").val()
		};
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="KO"){
			     mensaje= ajax_object.no_projects;
				 bgcolor = ajax_object.error_color;
				 jQuery("#filter_modules").blur();
				 jQuery("#server_message").html(mensaje);
				 jQuery("#server_message").css("display","block");
				 jQuery("#server_message").css("background-color",bgcolor);
				 }
			else {
				 jQuery("#graficos_modulos").html(response);
				 eval(jQuery("#graficos_modulos script").html());
				 run_graphics();
				}
		});
	});
	
	jQuery("#enviar_mail").click(function(){

		var data = {
			action: 'send_email',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			to: jQuery("#email_to").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="OK"){
			     mensaje= ajax_object.post_succesfully_sent+" "+data.to;
				 bgcolor = ajax_object.success_color;
				 }
			else {
				 mensaje= ajax_object.mail_not_sent + response;
				 bgcolor = ajax_object.error_color;
				 }
			jQuery("#enviar_mail").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	
	jQuery("#crear_etiqueta").click(function(){
	
		
		var data = {
			action: 'crear_etiqueta',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			tags: jQuery("#new_tag").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {			
			if(response=="Error"){
			     mensaje= ajax_object.could_not_add_tag;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				mensaje = ajax_object.correctly_tagged;
				jQuery(".tag_list").html(response);
				jQuery("#new_tag").val('');
				bgcolor = ajax_object.success_color;
			}	 
			jQuery("#crear_etiqueta").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#categorizar").click(function(){

		var data = {
			action: 'categorize',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			cat: jQuery("#cat").val()
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
			     mensaje= ajax_object.could_not_classify;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				mensaje = ajax_object.correctly_classified + " " + response;
				jQuery(".category_list").append(", "+response);
				jQuery("#cat option[value='"+data.cat+"']").remove();
				bgcolor = ajax_object.success_color;
			}
			jQuery("#categorizar").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#proyectualizar").click(function(){

		var data = {
			action: 'projectualize',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			proj: jQuery("#proj").val(),
			/*proj: jQuery("#proj").find(":selected").text()*/
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
			     mensaje= ajax_object.could_not_projectualize;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				if(data.proj) mensaje = ajax_object.correctly_projectualized;
				else mensaje = ajax_object.remove_projectualized;
				jQuery(".project_list").append(", "+response);
				jQuery("#proj option[value='"+data.proj+"']").remove();
				bgcolor = ajax_object.success_color;
			}
			jQuery("#proyectualizar").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	jQuery("#marcarFavorito").click(function(){

		var data = {
			action: 'favorite',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,			
		};
	
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			//alert(response);
		
			if(response.includes("added")){
			     mensaje= ajax_object.added_to_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#esFavorito").html(ajax_object.is_favourite);
				 jQuery("#marcarFavorito").val(ajax_object.remove);
			}
			else if(response.includes("removed")){
				 mensaje= ajax_object.removed_from_favourites;
				 bgcolor = ajax_object.success_color;
				 jQuery("#esFavorito").html(ajax_object.is_not_favourite);
				 jQuery("#marcarFavorito").val(ajax_object.add);			
			}
			else{
				 mensaje= ajax_object.action_not_done;
				 bgcolor = ajax_object.error_color;
				}
			jQuery("#marcarFavorito").blur();
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);			
		});
	
	});
	
	jQuery("#recomendar").click(function(){

		var data = {
			action: 'recommend',
			user_id: ajax_object.user_id,
			post_id: ajax_object.post_id,
			user_to: jQuery("#user").val(),
		};
		
		jQuery.post(ajax_object.ajax_url, data, function(response) {
			if(response=="Error"){
				 mensaje= ajax_object.recommendation_not_sent;
				 bgcolor = ajax_object.error_color;
				 }
			else {
				 mensaje= ajax_object.recommendation_sent + " " + response + ".";			
				 bgcolor = ajax_object.success_color;
				 }			
			jQuery("#recomendar").blur();
			jQuery('#user option:first-child').attr("selected", "selected");
			jQuery("#server_message").html(mensaje);
			jQuery("#server_message").css("display","block");
			jQuery("#server_message").css("background-color",bgcolor);
		});
	
	});
	
	
 	jQuery("#evolution_graph").click(function(){
 		
 			var data = {
			action: 'evolution_graph',		
			etiqueta: jQuery("#categoria").val()
		};
 		
 		
 		
 	});
	
	
	
	
	
	
});